bitel.billing.server.cerbercrypt.bean

## Class Packet

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.cerbercrypt.common.bean.Packet
      - - bitel.billing.server.cerbercrypt.bean.Packet

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

  Deprecated.
  use ru.bitel.bgbilling.modules.cerbercrypt.common.bean.Packet

      @Deprecated
      public class Packet
      extends Packet

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getServiceID()` Deprecated.
    `void` | `setServiceID(int serviceId)` Deprecated.

    - ### Methods inherited from class ru.bitel.bgbilling.modules.cerbercrypt.common.bean.Packet

      `getChannelCount, getComment, getDepends, getFree, getPacketCode, getPacketServerCode, getServiceId, getUnacceptable, isCanWebClose, isCanWebOpen, isPacketGroup, isVirtualCinema, setCanWebClose, setCanWebOpen, setChannelCount, setComment, setDepends, setFree, setPacketCode, setPacketGroup, setPacketServerCode, setServiceId, setUnacceptable, setVirtualCinema`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId, getTitle`

- - ### Constructor Detail

    - #### Packet

          public Packet()

      Deprecated.

  - ### Method Detail

    - #### getServiceID

          @Deprecated
          public int getServiceID()

      Deprecated.
      Использовать `Packet.getServiceId()`.
      Returns:

    - #### setServiceID

          @Deprecated
          public void setServiceID(int serviceId)

      Deprecated.
      Использовать `Packet.setServiceId(int)`.
      Parameters:
        `serviceId` -